<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pygce.models.bot.GarminConnectBot</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/pygce">PyGCE</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pygce-module.html">Package&nbsp;pygce</a> ::
        <a href="pygce.models-module.html">Package&nbsp;models</a> ::
        <a href="pygce.models.bot-module.html">Module&nbsp;bot</a> ::
        Class&nbsp;GarminConnectBot
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="pygce.models.bot.GarminConnectBot-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class GarminConnectBot</h1><p class="nomargin-top"><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot">source&nbsp;code</a></span></p>
<center>

</center>
<hr />
<pre class="literalblock">
Navigate through Garmin Connect app via a bot 

</pre>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user_name</span>,
        <span class="summary-sig-arg">password</span>,
        <span class="summary-sig-arg">chromedriver_path</span>)</span><br />
      :param user_name: str...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#login" class="summary-sig-name">login</a>(<span class="summary-sig-arg">self</span>)</span><br />
      :return: bool...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.login">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#get_user_id" class="summary-sig-name">get_user_id</a>(<span class="summary-sig-arg">self</span>)</span><br />
      :return: void...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.get_user_id">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#go_to_dashboard" class="summary-sig-name">go_to_dashboard</a>(<span class="summary-sig-arg">self</span>)</span><br />
      :return: void...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.go_to_dashboard">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#go_to_day" class="summary-sig-name">go_to_day</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">date_time</span>)</span><br />
      :param date_time: datetime...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.go_to_day">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#get_day" class="summary-sig-name">get_day</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">date_time</span>)</span><br />
      :param date_time: datetime...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.get_day">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#get_days" class="summary-sig-name">get_days</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">min_date_time</span>,
        <span class="summary-sig-arg">max_date_time</span>)</span><br />
      :param min_date_time: datetime...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.get_days">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#save_json_days" class="summary-sig-name">save_json_days</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">min_date_time</span>,
        <span class="summary-sig-arg">max_date_time</span>,
        <span class="summary-sig-arg">output_file</span>)</span><br />
      :param min_date_time: datetime...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.save_json_days">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pygce.models.bot.GarminConnectBot-class.html#save_csv_days" class="summary-sig-name">save_csv_days</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">min_date_time</span>,
        <span class="summary-sig-arg">max_date_time</span>,
        <span class="summary-sig-arg">output_file</span>)</span><br />
      :param min_date_time: datetime...</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.save_csv_days">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="USER_DASHBOARD"></a><span class="summary-name">USER_DASHBOARD</span> = <code title="&quot;https://connect.garmin.com/modern/&quot;">&quot;https://connect.garmin.com/modern/&quot;</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pygce.models.bot.GarminConnectBot-class.html#LOGIN_URL" class="summary-name">LOGIN_URL</a> = <code title="&quot;https://sso.garmin.com/sso/login?service=https%3A%2F%2Fconnect.garmin\
.com%2Fmodern%2F&amp;webhost=olaxpw-conctmodern005.garmin.com&amp;source=https\
%3A%2F%2Fconnect.garmin.com%2Fen-US%2Fsignin&amp;redirectAfterAccountLogin\
Url=https%3A%2F%2Fconnect.garmin.com%2Fmodern%2F&amp;redirectAfterAccountC\
reationUrl=https%3A%2F%2Fconnect.garmin.com%2Fmodern%2F&amp;gauthHost=http\
s%3A%2F%2Fsso.garmin.com%2Fsso&amp;locale=en_US&amp;id=gauth-widget&amp;clientId=G\
arminConnect&amp;initialFocus=true&amp;embedWidget=false&amp;mobile=false#&quot;">&quot;https://sso.garmin.com/sso/login?service=https%3A<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="LOGIN_BUTTON_ID"></a><span class="summary-name">LOGIN_BUTTON_ID</span> = <code title="&quot;login-btn-signin&quot;">&quot;login-btn-signin&quot;</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="USERNAME_FIELD_NAME"></a><span class="summary-name">USERNAME_FIELD_NAME</span> = <code title="&quot;username&quot;">&quot;username&quot;</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="PASSWORD_FIELD_NAME"></a><span class="summary-name">PASSWORD_FIELD_NAME</span> = <code title="&quot;password&quot;">&quot;password&quot;</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="BROWSER_WAIT_TIMEOUT_SECONDS"></a><span class="summary-name">BROWSER_WAIT_TIMEOUT_SECONDS</span> = <code title="5">5</code>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user_name</span>,
        <span class="sig-arg">password</span>,
        <span class="sig-arg">chromedriver_path</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param user_name: str
    Username (email) to login to Garmin Connect
:param password: str
    Password to login to Garmin Connect
:param chromedriver_path: str
    Path to Chrome driver to use as browser

</pre>
  <dl class="fields">
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="login"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">login</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.login">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:return: bool
    True iff correctly logged in

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_user_id"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_user_id</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.get_user_id">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:return: void
    Retrieves user unique id and token

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="go_to_dashboard"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">go_to_dashboard</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.go_to_dashboard">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:return: void
    Navigates to user homepage

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="go_to_day"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">go_to_day</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">date_time</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.go_to_day">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param date_time: datetime
    Datetime object with date
:return: void
    Navigates to daily summary of given date

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_day"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_day</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">date_time</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.get_day">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param date_time: datetime
    Datetime object with date
:return: GCDayTimline
    Data about day

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_days"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_days</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">min_date_time</span>,
        <span class="sig-arg">max_date_time</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.get_days">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param min_date_time: datetime
    Datetime object with date, this is the date when to start downloading data
:param max_date_time: datetime
    Datetime object with date, this is the date when to stop downloading data
:return: [] of GCDayTimline
    List of data about days

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="save_json_days"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">save_json_days</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">min_date_time</span>,
        <span class="sig-arg">max_date_time</span>,
        <span class="sig-arg">output_file</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.save_json_days">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param min_date_time: datetime
    Datetime object with date, this is the date when to start downloading data
:param max_date_time: datetime
    Datetime object with date, this is the date when to stop downloading data
:param output_file: str
    Path where to save output to
:return: void
    Retrieves data about days in given range, then saves json dump

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="save_csv_days"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">save_csv_days</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">min_date_time</span>,
        <span class="sig-arg">max_date_time</span>,
        <span class="sig-arg">output_file</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pygce.models.bot-pysrc.html#GarminConnectBot.save_csv_days">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <pre class="literalblock">

:param min_date_time: datetime
    Datetime object with date, this is the date when to start downloading data
:param max_date_time: datetime
    Datetime object with date, this is the date when to stop downloading data
:param output_file: str
    Path where to save output to
:return: void
    Retrieves data about days in given range, then saves csv dump

</pre>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
<a name="section-ClassVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="LOGIN_URL"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">LOGIN_URL</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
&quot;https://sso.garmin.com/sso/login?service=https%3A%2F%2Fconnect.garmin<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
.com%2Fmodern%2F&amp;webhost=olaxpw-conctmodern005.garmin.com&amp;source=https<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
%3A%2F%2Fconnect.garmin.com%2Fen-US%2Fsignin&amp;redirectAfterAccountLogin<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
Url=https%3A%2F%2Fconnect.garmin.com%2Fmodern%2F&amp;redirectAfterAccountC<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
reationUrl=https%3A%2F%2Fconnect.garmin.com%2Fmodern%2F&amp;gauthHost=http<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
s%3A%2F%2Fsso.garmin.com%2Fsso&amp;locale=en_US&amp;id=gauth-widget&amp;clientId=G<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
arminConnect&amp;initialFocus=true&amp;embedWidget=false&amp;mobile=false#&quot;
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/pygce">PyGCE</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Mon Apr 17 18:39:16 2017
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
